public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/acme-client/
Date: Wed, 19 Mar 2025 07:52:38 +0000 (UTC)	[thread overview]
Message-ID: <1742370676.7f1f06a14388888e6637c4408bd835008ed417c0.graaff@gentoo> (raw)

commit:     7f1f06a14388888e6637c4408bd835008ed417c0
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 19 07:51:16 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Mar 19 07:51:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f1f06a1

dev-ruby/acme-client: add 2.0.21

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/acme-client/Manifest                  |  1 +
 dev-ruby/acme-client/acme-client-2.0.21.ebuild | 43 ++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-ruby/acme-client/Manifest b/dev-ruby/acme-client/Manifest
index 4f8d7a8f2600..e9a8319081c9 100644
--- a/dev-ruby/acme-client/Manifest
+++ b/dev-ruby/acme-client/Manifest
@@ -2,3 +2,4 @@ DIST acme-client-2.0.17.tar.gz 271264 BLAKE2B a9c9f5c8ba9c7a991d34d9e9111b3ddfc3
 DIST acme-client-2.0.18.tar.gz 271643 BLAKE2B 9aad1a75279da8bd4fd22b0682316ed9e882efdc731d6b59224f8fbdb6adb4295411e13e6645575dc6e84e5ab7c4ebd35b7de3905ee9c6324b3b6232a4aa7c00 SHA512 01d0b0304dd8b424b93fec02841db4400b0769c73c6642b3221144148f88f5e622569993b34f86ef313a96e84dba8ed32b8e5ec2b8918d549042bfdd85c3bc41
 DIST acme-client-2.0.19.tar.gz 271732 BLAKE2B 377599d3649a3ff74d1ee7e1b0e746517763d56d69771e81ca2ed7196f7f2d8ad2b0c54ed356ea55e56a7f9c38b2fff9a522457fa34df3ae6bd04da6e7e64918 SHA512 7d6da0e3fa05e4f9e8c6ec7ac4790291d5bc55ea8e65f72b95618f49d2043a18acca93301b2592e90f08df555cd7b4a684fd4e4116f669a34066ec4b955c28c5
 DIST acme-client-2.0.20.tar.gz 271763 BLAKE2B a7b0ffadbd76f100a67b23346ef915c6651e5248a48383cb9430e020af945f889ce11a3a6f53621bc00450c6b809abd15559934620b06a187169894e7543f24f SHA512 1910899750266bd74e39ead11ccf52e5aa28649c0999d7e60396262fe62894e4284cbd1ee32dfaf763a5898996b0d5f4c5733983d7a8388a2eb150aea3b0742b
+DIST acme-client-2.0.21.tar.gz 271820 BLAKE2B 088810eca54af35659404208b305966044b46b4a762451d11346a62cd1ea5a14d56b9c434bb9d98769b4184437659799b1b041cc5bd2bb96f52e367c191cc3ac SHA512 47cef2abf055b1a8ee4887229d4e64e260c1f3b9f07e84bc6c4bec3684a5e95a27dd2c5d08a4ee529f54c28a29291c6898fc165fe3515ddb50986f7af05df9e2

diff --git a/dev-ruby/acme-client/acme-client-2.0.21.ebuild b/dev-ruby/acme-client/acme-client-2.0.21.ebuild
new file mode 100644
index 000000000000..c85929891f32
--- /dev/null
+++ b/dev-ruby/acme-client/acme-client-2.0.21.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="acme-client.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby client for the letsencrypt's ACME protocol"
+HOMEPAGE="https://github.com/unixcharles/acme-client"
+SRC_URI="https://github.com/unixcharles/acme-client/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+ruby_add_rdepend "
+	=dev-ruby/base64-0.2*
+	dev-ruby/faraday:2
+	dev-ruby/faraday-retry:2
+"
+
+ruby_add_bdepend "test? (
+	>=dev-ruby/vcr-2.9.3
+	>=dev-ruby/webmock-3.8:3
+	dev-ruby/webrick
+)"
+
+all_ruby_prepare() {
+	# Avoid dependency on git
+	sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	sed -i -e '3igem "faraday", "~> 2.0"' spec/spec_helper.rb || die
+}


             reply	other threads:[~2025-03-19  7:52 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-19  7:52 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-19  7:52 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/acme-client/ Hans de Graaff
2025-02-17  6:18 Hans de Graaff
2024-10-02  5:55 Hans de Graaff
2024-07-20  7:18 Hans de Graaff
2024-06-17  5:25 Hans de Graaff
2024-02-17  9:53 Hans de Graaff
2024-01-21  7:45 Hans de Graaff
2024-01-19 17:57 Hans de Graaff
2023-12-17 10:18 Hans de Graaff
2023-10-07  5:45 Hans de Graaff
2023-06-26  4:27 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2022-12-17  8:37 Hans de Graaff
2022-12-17  8:37 Hans de Graaff
2021-09-01  4:29 Hans de Graaff
2021-07-07 19:15 Hans de Graaff
2021-04-30  6:06 Hans de Graaff
2020-09-19  5:35 Hans de Graaff
2020-09-16  6:15 Hans de Graaff
2020-03-06  7:10 Hans de Graaff
2019-11-17  7:36 Hans de Graaff
2019-10-30  5:30 Hans de Graaff
2019-08-30  5:57 Hans de Graaff
2019-06-01 18:10 Hans de Graaff
2019-04-22  7:19 Robin H. Johnson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1742370676.7f1f06a14388888e6637c4408bd835008ed417c0.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox